import { OnInit, EventEmitter, ElementRef, Renderer2, OnDestroy } from '@angular/core';
import { MenuOptions, IMenuConfig, IMenuWing } from './menu-options.service';
import { SpinService } from './menu-spin.service';
export declare class MenuContainerComponent implements OnInit, OnDestroy {
    private menuOptions;
    private spinService;
    private renderer;
    private elm;
    menuWingsElm: ElementRef;
    options: IMenuConfig;
    gutter: Object;
    wings: IMenuWing[];
    startAngles: Object;
    onWingSelected: EventEmitter<IMenuWing>;
    onWingHovered: EventEmitter<IMenuWing>;
    onMenuBtnClicked: EventEmitter<boolean>;
    onMenuListSpinning: EventEmitter<boolean>;
    menuBtnStyle: Object;
    menuWingsStyle: Object;
    svgPath: string;
    wingsState: boolean;
    positionClass: string;
    menuConfig: any;
    top: number;
    left: number;
    private allowTransition;
    private isDragging;
    private isSpinning;
    private menuSpunSubscriptionId;
    menuState: boolean;
    draggingState: {
        value: boolean;
        params: {
            top: number;
            left: number;
        };
    };
    constructor(menuOptions: MenuOptions, spinService: SpinService, renderer: Renderer2, elm: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    animationDone(): void;
    clickWing(wing: IMenuWing): void;
    hoverWing(wing: IMenuWing): void;
    toggleMenu(): void;
    onPanStart(): void;
    onPanEnd(): void;
    onMenuMove(event: any): void;
    onMouseOverMenu(): void;
    onMouseOutMenu(): void;
    spinMenu(deg: number): void;
    toggleSpinningState(state: boolean): void;
    private setElementsStyle();
    private setHostElementPosition(positionName);
    private calculateSvgPath();
}
