import { OnInit, OnChanges, SimpleChanges, OnDestroy, EventEmitter, ElementRef, Renderer2, AfterViewInit } from '@angular/core';
import { IMenuWing, MenuOptions } from './menu-options.service';
import { SpinService } from './menu-spin.service';
export declare class MenuWingComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private menuOptions;
    private spinService;
    private elm;
    private renderer;
    wingIconElm: ElementRef;
    wing: IMenuWing;
    index: number;
    svgPath: string;
    position: string;
    wingClicked: EventEmitter<IMenuWing>;
    wingHovered: EventEmitter<IMenuWing>;
    wingSpinning: EventEmitter<boolean>;
    startAngles: number;
    rotateDeg: number;
    scaleWingState: boolean;
    menuConfig: any;
    iconX: number;
    iconY: number;
    iconSize: number;
    wingTextStyle: any;
    private wingSpunDegs;
    private wingSpunSubscriptionId;
    constructor(menuOptions: MenuOptions, spinService: SpinService, elm: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    rotateWingState: any;
    onMouseOver(): void;
    onMouseOut(): void;
    onClick(): void;
    onPanStart(event: any): void;
    spinMenu(event: any): void;
    onPanEnd(event: any): void;
    private setWingTransformStyle();
    private setWingIconTransformStyle(deg);
    private calculateWingIconSizeAndPosition();
}
